claw::lzw_decoder< InputBuffer, OutputBuffer > Class Template Reference

A class to help decoding a stream encoded with Lempel-Ziv-Welch (LZW) compression algorithm. More...

`#include <lzw_decoder.hpp>`

## Public Types

typedef InputBuffer | input_buffer_type
| The type of the input buffer.
typedef OutputBuffer | output_buffer_type
| The type of the output buffer.

## Public Member Functions

void | decode (input_buffer_type &input, output_buffer_type &output)

## Detailed Description

template<typename InputBuffer, typename OutputBuffer>
class claw::lzw_decoder< InputBuffer, OutputBuffer >

A class to help decoding a stream encoded with Lempel-Ziv-Welch (LZW) compression algorithm.

Template parameters:

- InputBuffer The type of the buffer where we read the compressed datas,
- OutputBuffer The type of the buffer where we write the uncompressed datas.

The InputBuffer type must have the following methods:

- bool end_of_data(), tell if the input buffer is empty,
- unsigned int symbols_count(), get the number of different symbols in the uncompressed data,
- unsigned int get_next(), returns the next code and moves to the next symbol.

The OutputBuffer type must have the following methods:

- write( unsigned int ), write a symbol in the output.

Author
  Julien Jorge

Definition at line 61 of file lzw_decoder.hpp.

## Member Typedef Documentation

## input_buffer_type

template<typename InputBuffer, typename OutputBuffer>

typedef InputBuffer claw::lzw_decoder< InputBuffer, OutputBuffer >::input_buffer_type

The type of the input buffer.

Definition at line 65 of file lzw_decoder.hpp.

## output_buffer_type

template<typename InputBuffer, typename OutputBuffer>

typedef OutputBuffer claw::lzw_decoder< InputBuffer, OutputBuffer >::output_buffer_type

The type of the output buffer.

Definition at line 68 of file lzw_decoder.hpp.

The documentation for this class was generated from the following file:

- lzw_decoder.hpp